Bug 1249301 - s3ql-2.18 is available
s3ql-2.18 is available
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: s3ql (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-01 08:18 EDT by Upstream Release Monitoring
Modified: 2016-05-31 17:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 2.16 (#1249301) (1.09 KB, patch)
2016-02-23 19:25 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.24 KB, patch)
2016-03-08 19:20 EST, Upstream Release Monitoring
no flags Details | Diff
Log /var/tmp/thn-rhwNUSh7/rebase-helper-results/rebase-helper-debug.log provided by rebase-helper. (7.24 KB, patch)
2016-03-08 19:20 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (17.96 KB, patch)
2016-04-29 20:24 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2015-08-01 08:18:15 EDT
Latest upstream release: 2.14
Current version/release in rawhide: 2.13-1.fc23
URL: http://bitbucket.org/nikratio/s3ql/downloads

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-08-01 08:18:24 EDT
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-XCRnnO/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-XCRnnO/100.0%: No such file or directory
Comment 2 Upstream Release Monitoring 2015-09-21 08:23:57 EDT
Latest upstream release: 2.15
Current version/release in rawhide: 2.13-1.fc23
URL: http://bitbucket.org/nikratio/s3ql/downloads

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 3 Upstream Release Monitoring 2015-09-21 08:24:05 EDT
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-UoE4uU/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-UoE4uU/100.0%: No such file or directory
Comment 4 Upstream Release Monitoring 2016-02-23 19:24:58 EST
Latest upstream release: 2.16
Current version/release in rawhide: 2.13-4.fc24
URL: http://bitbucket.org/nikratio/s3ql/downloads

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 5 Upstream Release Monitoring 2016-02-23 19:25:09 EST
Created attachment 1129984 [details]
[patch] Update to 2.16 (#1249301)
Comment 6 Upstream Release Monitoring 2016-02-23 19:30:15 EST
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13112621
Comment 7 Fedora Admin XMLRPC Client 2016-03-04 12:32:30 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Upstream Release Monitoring 2016-03-08 19:20:38 EST
Latest upstream release: 2.17
Current version/release in rawhide: 2.13-4.fc24
URL: http://bitbucket.org/nikratio/s3ql/downloads

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 9 Upstream Release Monitoring 2016-03-08 19:20:48 EST
Patching or scratch build for s3ql and version 2.13 FAILED.
See for details
Comment 10 Upstream Release Monitoring 2016-03-08 19:20:49 EST
Created attachment 1134360 [details]
Rebase-helper rebase-helper-debug.log log file.
 See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 11 Upstream Release Monitoring 2016-03-08 19:20:51 EST
Rebase helper failed.
See logs and attachments in this bugzilla
Comment 12 Upstream Release Monitoring 2016-03-08 19:20:53 EST
Patches were not touched. All were applied properly
Comment 13 Upstream Release Monitoring 2016-03-08 19:20:54 EST
Created attachment 1134361 [details]
Log /var/tmp/thn-rhwNUSh7/rebase-helper-results/rebase-helper-debug.log provided by rebase-helper.
Comment 14 Upstream Release Monitoring 2016-03-09 19:18:11 EST
Latest upstream release: 2.17.1
Current version/release in rawhide: 2.13-4.fc24
URL: http://bitbucket.org/nikratio/s3ql/downloads

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 15 Upstream Release Monitoring 2016-03-09 19:18:21 EST
Patching or scratch build for s3ql and version 2.13 FAILED.
See for details
Comment 16 Upstream Release Monitoring 2016-03-09 19:18:23 EST
Rebase helper failed.
See logs and attachments in this bugzilla global name 'os' is not defined
Comment 17 Upstream Release Monitoring 2016-03-09 19:18:24 EST
Patches were not touched. All were applied properly
Comment 18 Upstream Release Monitoring 2016-04-29 20:24:20 EDT
Latest upstream release: 2.18
Current version/release in rawhide: 2.13-4.fc24
URL: http://bitbucket.org/nikratio/s3ql/downloads

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4753/
Comment 19 Upstream Release Monitoring 2016-04-29 20:24:36 EDT
Patching or scratch build for s3ql-2.13 failed.
Comment 20 Upstream Release Monitoring 2016-04-29 20:24:37 EDT
Created attachment 1152457 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 21 Upstream Release Monitoring 2016-04-29 20:24:39 EDT
Patches were not touched. All were applied properly
Comment 22 Pedro Francisco 2016-05-15 06:52:22 EDT
Can you trigger an automated Koji rebuild again?
version 2.18 also compiled fine on a rpmbuild -ba.

Plus I couldn't get the current F23 packaged version to finish mounting the FS without an Error, and 2.18 does finish mounting the FS successfully.
Comment 23 Fedora Admin XMLRPC Client 2016-05-16 19:37:40 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 24 Upstream Release Monitoring 2016-05-19 22:02:36 EDT
athmane's s3ql-2.18-1.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=767190
Comment 25 Fedora Update System 2016-05-19 22:17:22 EDT
s3ql-2.18-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d30b88615d
Comment 26 Fedora Update System 2016-05-19 22:25:41 EDT
s3ql-2.18-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-40068e6c3a
Comment 27 Fedora Update System 2016-05-20 21:31:36 EDT
s3ql-2.18-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d30b88615d
Comment 28 Fedora Update System 2016-05-20 22:26:38 EDT
s3ql-2.18-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-40068e6c3a
Comment 29 Fedora Admin XMLRPC Client 2016-05-31 17:46:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.